API Direct
Endpoints
Facebook Search Locations

Facebook Search Locations

GET /v1/facebook/locations

Resolve a place name (city, region, or country) to Facebook location IDs. Use a returned id as the location_id filter on Search Posts to scope post results to a place.

Cost
$0.004 per request
Free tier
50 requests/month

Parameters

query *
Place name to resolve, e.g. "London" or "Paris, France" (max 500 characters)

Example Request

curl "https://apidirect.io/v1/facebook/locations?query=London" \
  -H "X-API-Key: YOUR_API_KEY"

Example Response

{
  "results": [
    {
      "id": "106078429431815",
      "label": "London, United Kingdom",
      "timezone": "Europe/London"
    },
    {
      "id": "107624535933778",
      "label": "London, Ontario",
      "timezone": "America/Toronto"
    },
    {
      "id": "108364785855057",
      "label": "London, Kentucky",
      "timezone": "America/New_York"
    }
  ],
  "count": 3
}

Your Usage

Free tier this month
Loading...
Recent Activity